<?php 

require_once "../controladores/comprobante.controlador.php";
require_once "../modelos/comprobante.modelo.php";

class AjaxComprobante {

    /** EDITAR COMPROBANTE*/

    public $idComprobante;

    public function ajaxEditarComprobante(){

        $item = "id";
        $valor = $this -> idComprobante;
        $respuesta = ControladorComprobante:: ctrMostrarComprobante1($item, $valor);

        echo json_encode($respuesta);

    }

     /*=============================================
	VALIDAR NO REPETIR COMPROBANTE
	=============================================*/	

	public $validarComprobante;

	public function ajaxValidarComprobante(){

		$item = "nombre";
		$valor = $this->validarComprobante;

		$respuesta = ControladorComprobante::ctrMostrarComprobante($item, $valor);

		echo json_encode($respuesta);

	}

}

/** EDITAR Comprobante */

if(isset($_POST["idComprobante"])){
    $editar = new AjaxComprobante();
    $editar -> idComprobante = $_POST["idComprobante"];
    $editar -> ajaxEditarComprobante();

}

/*=============================================
VALIDAR NO REPETIR Comprobante
=============================================*/

if(isset( $_POST["validarComprobante"])){

	$valComprobante = new AjaxComprobante();
	$valComprobante -> validarComprobante = $_POST["validarComprobante"];
	$valComprobante -> ajaxValidarComprobante();

}